%define version	0.2.0
%define release	%mkrel 4

%define scim_version	1.4.0

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-hangul
Summary:	Scim-hangul is a Hangul IMEngine for SCIM
Version:		%{version}
Release:		%{release}
Group:		System/Internationalization
License:		GPL
URL:			http://sourceforge.net/projects/scim/
Source0:		%{name}-%{version}.tar.bz2
Patch0:			scim-hangul-0.2.0-ja-translation.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:			%{libname} = %{version}
Requires:			scim >= %{scim_version}
BuildRequires:		scim-devel >= %{scim_version}

%description
scim-hangul is a Hangul IMEngine for SCIM, which is 
ported from imhangul project. 
It supports both Hangul and Hanja input.


%package -n %{libname}
Summary:	Scim-hangul library
Group:		System/Internationalization
Provides:		%{libname_orig} = %{version}-%{release}

%description -n %{libname}
scim-hangul library.


%prep
%setup -q
%patch0 -p0

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{_libdir}/scim-1.0/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/scim/icons/*

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/scim-1.0/IMEngine/*.so
%{_libdir}/scim-1.0/SetupUI/*.so


%changelog
* Tue Jul 19 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-4mdk
- Rebuild for new scim ( 1.4.0)

* Mon Jun 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-3mdk
- Rebuild for new scim ( 1.3.1 )

* Fri Jun 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-2mdk
- Rebuild for new scim

* Tue Mar 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.0-1mdk
- new release
- patch 0: update japanese translation

* Thu Feb 17 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-3mdk
- rebuild with scim-1.1.3
- spec cleanup

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-2mdk
- rebuild with scim-1.0.2

* Mon Aug 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.2-1mdk
- new release

* Mon Aug 23 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.1-1mdk
- new release
- bump scim buildrequires

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-1mdk
- new release
- drop patch 0: better fix upstream

* Fri Aug 13 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.3-2mdk
- patch 0: fix faillure to input last charator within java app
  (Choe Hwanjin <krisna at kldp.org>)

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.3-1mdk
- new release
- fix {build,}requires

* Tue Aug 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.2-1mdk
- drop CXXFLAGS
- only regenerate build system if needed
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
